/* tracker.h -- Program invocation logger protocol definitions.
   $Id: tracker.h,v 1.0 2003/07/16 15:30:35 eagle Exp $

   Written by Russ Allbery <rra@stanford.edu>
   Based on a protocol by Larry Schwimmer <opusl@stanford.edu>
   Copyright 1999 Board of Trustees, Leland Stanford Jr. University

   This is version 1 of the licensetrack protocol. */

#ifndef TRACKER_H
#define TRACKER_H

#define TRACK_VERSION   1       /* Protocol version. */
#define TRACK_PORT      1738    /* Tracker daemon port number. */

#define TRACK_USERLEN   32      /* Max username length, including nul. */
#define TRACK_PROGLEN   256     /* Max program name length, including nul. */

#define TRACK_START     0       /* Start application */
#define TRACK_STOP      1       /* Exit application */

struct track {
  int version;                  /* TRACK_VERSION */
  int operation;                /* TRACK_START or TRACK_STOP */
  char username[TRACK_USERLEN];
  char program[TRACK_PROGLEN];
};

#endif /* TRACKER_H */
